.horizontal-menu>li:last-of-type a,
.c-main-menu>ul>li:last-of-type a {
  background-color: var(--color-yellow);
  background-color: var(--main-nav-bg-color);
  color: var(--color-deep-purple);
  color: var(--main-nav-link-color);
}

.horizontal-menu>li:last-of-type a:hover, .c-main-menu>ul>li:last-of-type a:hover {
    background: var(--color-deep-purple);
    background: var(--main-nav-hover-bg-color);
    color: var(--color-white);
    color: var(--main-nav-hover-color);
  }

.horizontal-menu>li:last-of-type a:focus, .c-main-menu>ul>li:last-of-type a:focus {
    background: var(--color-deep-purple);
    background: var(--main-nav-hover-bg-color);
    color: var(--color-white);
    color: var(--main-nav-hover-color);
  }

.c-site-header nav>.menu {
  display: none;
}

@media (min-width: 1240px) {

.c-site-header nav>.menu {
    display: flex;
    grid-column: 2;
    gap: var(--space-2xs);
}
  }

@media (min-width: 1240px) {

#block-cpag-theme-mainnavigation,
.block-responsive-menu-horizontal-menu {
    grid-column: 1 / 3;
}
  }

@media (min-width: 1240px) {

#block-cpag-theme-mainnavigation,
.block-responsive-menu-horizontal-menu {
    grid-column: 2;
}
  }

.menu--account .menu {
  --primary-button-bg-color-hover: var(--color-hot);
  --primary-button-text-color-hover: var(--color-deep-purple);

}

.c-search-account {
  font-size: var(--step--1);
}

.c-main-menu>.menu>li>a {
  font-size: max(1.00rem, min(calc(0.75rem + 0.35vw), 1.125rem));
  font-size: var(--main-menu-font-size);
  font-weight: 500;
}

.c-site-header nav>.c-main-menu .menu {
  gap: 0;
}

.c-main-menu>ul>.menu-item--expanded>a::after,
.horizontal-menu>.menu-item--expanded>a::after {
  filter: brightness(0) saturate(100%) invert(11%) sepia(26%) saturate(1814%) hue-rotate(211deg) brightness(98%) contrast(97%);
}

.c-main-menu>ul>.menu-item--expanded>a:hover::after, .horizontal-menu>.menu-item--expanded>a:hover::after {
    filter: none;
  }

.c-main-menu .menu-item:hover,
.c-main-menu .menu-item:focus-within a {
  color: var(--color-deep-purple);
  color: var(--main-nav-link-color);
}

/*.c-main-menu .menu .menu a:hover{
    background-color: var(--color-deep-purple);
    color: var(--color-white);
}*/
.c-main-menu .menu .menu a:hover,
.horizontal-menu .sub-nav a:hover {
  background-color: var(--cpag-dark-warm-grey);
  color: var(--color-text);
  /*--cpag-dark-warm-grey*/
}


/*.c-main-menu .menu-item:hover,*/
/*.c-main-menu .menu-item:focus-within a {
    color: var(--main-nav-link-color);
}*/
.responsive-menu-toggle-icon:hover .icon {
  filter: invert(30%) sepia(56%) saturate(2046%) hue-rotate(168deg) brightness(92%) contrast(88%);
}


.menu--account a {

  --primary-button-bg-color-hover: var(--color-yellow);
  --primary-button-text-color-hover: var(--color-deep-purple);
  /*
  &:hover {
    background: var(--color-hotpink);
    color: var(--color-white);
  }*/
}

.menu--account a:focus {
  outline-offset: 2px;
}

.horizontal-menu>li:last-of-type a:focus,
.c-main-menu>ul>li:last-of-type a:focus {
  background: var(--color-yellow);
  background: var(--main-nav-bg-color);
  color: var(--color-deep-purple);
  color: var(--main-nav-link-color);

}

.c-main-menu .menu-item .menu {
  min-width: 12rem;
}

.c-main-menu .menu-item:last-of-type .menu {
  min-width: 0;
  min-width: initial;
}

@media (min-width: 1480px) {

.c-main-menu .menu-item:last-of-type .menu {
    min-width: 12rem;
}
  }

.menu--utility-menu---welfare-rights {
  align-self: center;
  font-size: var(--step--1);
}

.menu--utility-menu---welfare-rights .menu {
  gap: 5px;
}

.menu--utility-menu---welfare-rights .ext svg {
  display: none;
}

.menu--utility-menu---welfare-rights a {
  width: -moz-max-content;
  width: max-content;
}

.menu--utility-menu---welfare-rights {
  padding-right: 2rem;
}

/* Fix mid-large screen issue */
@media screen and (min-width: 1240px) and (max-width: 1420px) {
  :root {
    --main-menu-font-size: 0.75em;
  }

  .c-main-menu ul.menu {
    gap: 0;
  }
}
